document.addEventListener("DOMContentLoaded", function() {
  const receiptSection = document.getElementById("receiptSection");
  const toggleBtn = document.querySelector('[data-bs-target="#receiptSection"]');

  if (!receiptSection || !toggleBtn) return;

  if (localStorage.getItem("receiptSectionOpen") === "true") {
    new bootstrap.Collapse(receiptSection, { toggle: true });
  }

  receiptSection.addEventListener('shown.bs.collapse', function () {
    localStorage.setItem("receiptSectionOpen", "true");
  });

  receiptSection.addEventListener('hidden.bs.collapse', function () {
    localStorage.setItem("receiptSectionOpen", "false");
  });
});
